summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/eagle/README22
-rw-r--r--development/eagle/doinst.sh3
-rw-r--r--development/eagle/eagle.SlackBuild94
-rw-r--r--development/eagle/eagle.desktop11
-rw-r--r--development/eagle/eagle.info10
-rw-r--r--development/eagle/eagle.pngbin0 -> 1848 bytes
-rw-r--r--development/eagle/slack-desc19
7 files changed, 159 insertions, 0 deletions
diff --git a/development/eagle/README b/development/eagle/README
new file mode 100644
index 0000000000..65516f37a5
--- /dev/null
+++ b/development/eagle/README
@@ -0,0 +1,22 @@
+The EAGLE Layout Editor is an easy to use, yet powerful tool for designing
+printed circuit boards (PCBs). The name EAGLE is an acronym, which stands for
+Easily Applicable Graphical Layout Editor. The program consists of three main
+modules (Layout Editor, Schematic Editor, and Autorouter) which are embedded
+in a single user interface.
+
+If EAGLE prompts for a license key the first time it is run, point it toward
+the freeware license file located at /opt/eagle-VERSION/bin/freeware.key, or
+purchase a license to unlock advanced features.
+
+After the key is accepted, you may wish to change the permission of
+/opt/eagle-VERSION/bin/eagle.key so that it is no longer world-writable.
+
+ # chmod 0644 /opt/eagle-<version>/bin/eagle.key
+
+This script installs the English documentation. With version 5.10.0 German and
+(some) Chinese documentation is included as well. To select them, run this
+script as:
+
+ # LANG=<xx> ./eagle.SlackBuild
+
+where <xx> = "de" for German and "zh" for Chinese.
diff --git a/development/eagle/doinst.sh b/development/eagle/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/eagle/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/eagle/eagle.SlackBuild b/development/eagle/eagle.SlackBuild
new file mode 100644
index 0000000000..17da3ca354
--- /dev/null
+++ b/development/eagle/eagle.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for eagle (binary repackaging)
+# Originally written by Kyle Guinn <elyk03@gmail.com>
+
+# As of version 5.10.0 maintained by Niels Horn <niels.horn@gmail.com>
+
+PRGNAM="eagle"
+VERSION=${VERSION:-"5.10.0"}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM-$VERSION
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ ! "$ARCH" = "i486" ]; then
+ echo "Sorry, only i486 supported"
+ exit 1
+fi
+
+# Documentation is distributed for both English and German. Due to the size
+# of the documentation, only include one language.
+LANG=${LANG:-"en"}
+if [ "$LANG" = "de" ]; then
+ DOCS="README_de UPDATE_de library_de.txt license_de.txt manual_de.pdf tutorial_de.pdf elektro-tutorial.pdf"
+elif [ "$LANG" = "zh" ]; then
+ DOCS="README_en UPDATE_en library_en.txt license_en.txt manual_zh.pdf tutorial_zh.pdf"
+else
+ DOCS="README_en UPDATE_en library_en.txt license_en.txt manual_en.pdf tutorial_en.pdf"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+sh $CWD/$PRGNAM-lin-$VERSION.run $PKG/opt
+chown -R root:root $PKG
+
+# Create the license key file. EAGLE will write to this the first time it is
+# run. After that, you can change the permissions to 0644 if you wish.
+touch $PKG/opt/$PRGNAM-$VERSION/bin/$PRGNAM.key
+chmod 0666 $PKG/opt/$PRGNAM-$VERSION/bin/$PRGNAM.key
+
+# Some versions of EAGLE have a graphics bug that results in corruption of the
+# displayed window, particularly affecting the display of trees and lists.
+# This is due to a conflict with compositing. The quickest fix is to set an
+# environment variable (XLIB_SKIP_ARGB_VISUALS) before running EAGLE. The fix
+# may not apply to the latest version of EAGLE, but it doesn't hurt to leave
+# it in. See http://www.cadsoft.de/faq.htm#07041701 for details.
+mkdir -p $PKG/usr/bin
+cat > $PKG/usr/bin/$PRGNAM << EOF
+#!/bin/sh
+XLIB_SKIP_ARGB_VISUALS=1
+export XLIB_SKIP_ARGB_VISUALS
+exec /opt/$PRGNAM-$VERSION/bin/$PRGNAM "\$@"
+EOF
+chmod +x $PKG/usr/bin/$PRGNAM
+
+# Move any man pages to the proper location
+mkdir -p $PKG/usr/man/man1
+mv $PKG/opt/$PRGNAM-$VERSION/doc/*.1 $PKG/usr/man/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+# Move the documentation to the proper location
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cd $PKG/opt/$PRGNAM-$VERSION
+for d in $DOCS; do mv doc/$d $PKG/usr/doc/$PRGNAM-$VERSION/; done
+ rm -rf doc
+ ln -s /usr/doc/$PRGNAM-$VERSION doc
+cd -
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/eagle/eagle.desktop b/development/eagle/eagle.desktop
new file mode 100644
index 0000000000..5995b44f82
--- /dev/null
+++ b/development/eagle/eagle.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Name=EAGLE
+Comment=Easily Applicable Graphical Layout Editor
+GenericName=PCB Layout Editor
+Exec=eagle
+Icon=eagle
+Terminal=false
+Type=Application
+Categories=Development
+StartupNotify=false
diff --git a/development/eagle/eagle.info b/development/eagle/eagle.info
new file mode 100644
index 0000000000..0a5bff89cb
--- /dev/null
+++ b/development/eagle/eagle.info
@@ -0,0 +1,10 @@
+PRGNAM="eagle"
+VERSION="5.10.0"
+HOMEPAGE="http://www.cadsoft.de/"
+DOWNLOAD="ftp://ftp.cadsoft.de/eagle/program/5.10/eagle-lin-5.10.0.run"
+MD5SUM="a4f76ec1d3f948e76b77e63ad3a18c44"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64="UNSUPPORTED"
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="Michiel van Wessem"
diff --git a/development/eagle/eagle.png b/development/eagle/eagle.png
new file mode 100644
index 0000000000..88373d46e9
--- /dev/null
+++ b/development/eagle/eagle.png
Binary files differ
diff --git a/development/eagle/slack-desc b/development/eagle/slack-desc
new file mode 100644
index 0000000000..b59e233625
--- /dev/null
+++ b/development/eagle/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+eagle: EAGLE (schematic capture program)
+eagle:
+eagle: The EAGLE Layout Editor is an easy to use, yet powerful tool
+eagle: for designing printed circuit boards (PCBs). The name EAGLE
+eagle: is an acronym, which stands for Easily Applicable Graphical
+eagle: Layout Editor. The program consists of three main modules
+eagle: (Layout Editor, Schematic Editor, and Autorouter) which are
+eagle: embedded in a single user interface.
+eagle:
+eagle: Homepage: http://www.cadsoft.de/
+eagle: